Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153932 - python plugin for xchat doesn't do what you'd think
Summary: python plugin for xchat doesn't do what you'd think
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-04-05 22:20 UTC by Seth Vidal
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 04:56:25 UTC


Attachments (Terms of Use)

Description Seth Vidal 2005-04-05 22:20:13 UTC
Description of problem:
So I saw this cool python script here:

http://www.burtonini.com/blog//computers/xchat-notify-2005-04-05-20-30

and I thought, hey, cool, i'll go try that out. But it didn't work.

so I run:

python
import sys
sys.path.append('/usr/lib/xchat/plugins')
import python

and it responds with:
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: /usr/lib/xchat/plugins/python.so: undefined symbol: xchat_hook_print

now there are two problems here:
1. it should really be in /usr/lib/python2.4/site-packages/xchat.so
2. it shouldn't be tracing back like that.

That's all. This is ultra low-priority, of course.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 sangu 2005-04-27 15:18:16 UTC
in xchat-2.4.3-2

/py console
>>> import gtk
 Traceback (most recent call last):
   File "<string>", line 1, in ?
   File
"/usr/src/build/535819-i386/install/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py",
line 38, in ?
 ImportError: No module named gdk

Comment 2 Seth Vidal 2005-05-31 04:56:25 UTC
python plugin for xchat works.

it's just xchat's concepts that are goofy.

closing->notabug



Note You need to log in before you can comment on or make changes to this bug.